Create invoice
curl --request POST \
--url https://api.puplar.com/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": "<string>",
"currency": "ngn",
"lines": [
{
"product": "<string>",
"quantity": 2
}
],
"due_date": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {}
}
'import requests
url = "https://api.puplar.com/invoices"
payload = {
"customer": "<string>",
"currency": "ngn",
"lines": [
{
"product": "<string>",
"quantity": 2
}
],
"due_date": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer: '<string>',
currency: 'ngn',
lines: [{product: '<string>', quantity: 2}],
due_date: '2023-11-07T05:31:56Z',
memo: '<string>',
metadata: {}
})
};
fetch('https://api.puplar.com/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"data": {}
}{
"message": "Error message",
"data": {},
"errors": {}
}{
"message": "Error message",
"data": {},
"errors": {}
}Invoices
Create invoice
Create a draft invoice from products. Amount is sum of line items (minor units). Finalize to get a payment URL.
POST
/
invoices
Create invoice
Authorizations
Secret key: Authorization: Bearer sk_test_... or sk_live_.... Business and live/test mode are inferred from the key.
Body
application/json
Existing customer ID
Available options:
usd, ngn, eur Example:
"ngn"
Minimum array length:
1Show child attributes
Show child attributes
Optional. Past-due invoices stay payable.
Maximum string length:
500
